<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Spacers/SpacerBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d16/_spacer_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">SpacerBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d16/_spacer_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d7a/class_spacer_base.html">SpacerBase</a> : <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a370d7c6022c286e77d17040553e8639a">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a370d7c6022c286e77d17040553e8639a">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a> = w;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a> = 0;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>.GetChildren();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">while</span> (child)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a>++;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            child.SetFlags(<a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.EXACTPOS | <a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.EXACTSIZE, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            child = child.GetSibling();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a86f0a90268afa8f58e1576d080d5f8fe">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a86f0a90268afa8f58e1576d080d5f8fe">OnUpdate</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (w == <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>) <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a88bbc99d3dcd8a8ea66270a11bd34aac">UpdateLayout</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#ade092315bca2c1de22213d5ef1ca541c">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#ade092315bca2c1de22213d5ef1ca541c">OnChildAdd</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>  w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>  child)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a>++;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        child.SetFlags(<a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.EXACTPOS | <a class="code hl_enumeration" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a>.EXACTSIZE, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#ac4ba757caa638992991e15298d27171d">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#ac4ba757caa638992991e15298d27171d">OnChildRemove</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>  w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>  child)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a>--;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a114f7a89dc4fcd232b7e2e78208436a2">   47</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a114f7a89dc4fcd232b7e2e78208436a2">GetChildIndex</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>.GetChildren();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordtype">int</span> index = 0;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">while</span> (child)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">if</span> (child == w) <span class="keywordflow">return</span> index;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            index++;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            child = child.GetSibling();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d18/gameplay_8c.html#a3b2f70215d99f89322d4399b4afa1010">INDEX_NOT_FOUND</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a88bbc99d3dcd8a8ea66270a11bd34aac">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a88bbc99d3dcd8a8ea66270a11bd34aac">UpdateLayout</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a> == 0) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">float</span> width;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordtype">float</span> height;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>.GetScreenSize(width, height);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">m_root</a>.GetChildren();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordtype">int</span> index = 0;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">while</span> (child)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a726dc8f5a58894af6c0b2bc80fa70e29">UpdateChild</a>(child, width, height, index);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            index++;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            child = child.GetSibling();</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d2/d7a/class_spacer_base.html#a726dc8f5a58894af6c0b2bc80fa70e29">   82</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/class_spacer_base.html#a726dc8f5a58894af6c0b2bc80fa70e29">UpdateChild</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child, <span class="keywordtype">float</span> w, <span class="keywordtype">float</span> h, <span class="keywordtype">int</span> index) {}</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>};</div>
<div class="ttc" id="aclass_spacer_base_html"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html">SpacerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00002">SpacerBase.c:3</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a114f7a89dc4fcd232b7e2e78208436a2"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a114f7a89dc4fcd232b7e2e78208436a2">SpacerBase::GetChildIndex</a></div><div class="ttdeci">protected int GetChildIndex(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00047">SpacerBase.c:47</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a370d7c6022c286e77d17040553e8639a"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a370d7c6022c286e77d17040553e8639a">SpacerBase::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00008">SpacerBase.c:8</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a3bf71f6e1c07aba6fd4cc0fe04900bbd"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">SpacerBase::m_count</a></div><div class="ttdeci">protected int m_count</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00005">SpacerBase.c:5</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a726dc8f5a58894af6c0b2bc80fa70e29"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a726dc8f5a58894af6c0b2bc80fa70e29">SpacerBase::UpdateChild</a></div><div class="ttdeci">protected void UpdateChild(Widget child, float w, float h, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00082">SpacerBase.c:82</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a7f93a6a3d6d187ad96a5de3f6b90b6e5"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a7f93a6a3d6d187ad96a5de3f6b90b6e5">SpacerBase::m_root</a></div><div class="ttdeci">protected Widget m_root</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00004">SpacerBase.c:4</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a86f0a90268afa8f58e1576d080d5f8fe"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a86f0a90268afa8f58e1576d080d5f8fe">SpacerBase::OnUpdate</a></div><div class="ttdeci">override bool OnUpdate(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00025">SpacerBase.c:25</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a88bbc99d3dcd8a8ea66270a11bd34aac"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a88bbc99d3dcd8a8ea66270a11bd34aac">SpacerBase::UpdateLayout</a></div><div class="ttdeci">void UpdateLayout()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00064">SpacerBase.c:64</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_ac4ba757caa638992991e15298d27171d"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#ac4ba757caa638992991e15298d27171d">SpacerBase::OnChildRemove</a></div><div class="ttdeci">override bool OnChildRemove(Widget w, Widget child)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00040">SpacerBase.c:40</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_ade092315bca2c1de22213d5ef1ca541c"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#ade092315bca2c1de22213d5ef1ca541c">SpacerBase::OnChildAdd</a></div><div class="ttdeci">override bool OnChildAdd(Widget w, Widget child)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00032">SpacerBase.c:32</a></div></div>
<div class="ttc" id="agameplay_8c_html_a3b2f70215d99f89322d4399b4afa1010"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#a3b2f70215d99f89322d4399b4afa1010">INDEX_NOT_FOUND</a></div><div class="ttdeci">const int INDEX_NOT_FOUND</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00013">gameplay.c:13</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga22177e6e3358b5dae620056212478a75"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a></div><div class="ttdeci">WidgetFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00056">EnWidgets.c:57</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_54b1ab945de8b1cf5702f657b9e48093.html">Spacers</a></li><li class="navelem"><a class="el" href="../../d9/d16/_spacer_base_8c.html">SpacerBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
